Lucene search

K
ibmIBM1D13437A0B331D4D1B8BFF883ED28D7EB87DFC486BA0F0119C88846D6C495F28
HistoryMar 29, 2021 - 9:19 p.m.

Security Bulletin: CVE-2021-24122 When serving resources from a network location using the NTFS file system, Apache Tomcat versions 8.5.0 to 8.5.59 were susceptible to JSP source code disclo

2021-03-2921:19:24
www.ibm.com
8

EPSS

0.002

Percentile

61.5%

Summary

When serving resources from a network location using the NTFS file system, Apache Tomcat versions 10.0.0-M1 to 10.0.0-M9, 9.0.0.M1 to 9.0.39, 8.5.0 to 8.5.59 and 7.0.0 to 7.0.106 were susceptible to JSP source code disclosure in some configurations. The root cause was the unexpected behaviour of the JRE API File.getCanonicalPath() which in turn was caused by the inconsistent behaviour of the Windows API (FindFirstFileW) in some circumstances.

Vulnerability Details

CVEID:CVE-2021-24122
**DESCRIPTION:**Apache Tomcat could allow a remote attacker to obtain sensitive information, caused by a flaw when serving resources from a network location using the NTFS file system. By sending a specially-crafted request, an attacker could exploit this vulnerability to view the source code for JSPs in some configurations, and use this information to launch further attacks against the affected system.
CVSS Base score: 8.2
CVSS Temporal Score: See: https://exchange.xforce.ibmcloud.com/vulnerabilities/194894 for the current score.
CVSS Vector: (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:L/A:N)

Affected Products and Versions

Affected Product(s) Version(s)
UCD - IBM UrbanCode Deploy 7.1.1.1
UCD - IBM UrbanCode Deploy 7.0.5.3
UCD - IBM UrbanCode Deploy 7.1.1.0
UCD - IBM UrbanCode Deploy 7.1.0.0
UCD - IBM UrbanCode Deploy 7.0.5.4
UCD - IBM UrbanCode Deploy 6.2.7.4
UCD - IBM UrbanCode Deploy 6.2.7.3
UCD - IBM UrbanCode Deploy 6.2.7.8
UCD - IBM UrbanCode Deploy 7.0.4.0
UCD - IBM UrbanCode Deploy 6.2.7.9
UCD - IBM UrbanCode Deploy 7.0.3.0
UCD - IBM UrbanCode Deploy 7.1.1.2
UCD - IBM UrbanCode Deploy All

Remediation/Fixes

Upgrade to 7.1.2.0, 6.2.7.10, 7.0.5.5

Workarounds and Mitigations

None

CPENameOperatorVersion
ibm urbancode deployeq7.1.1.1